Save people-search results into a list
curl --request POST \
--url https://api.tryfuse.ai/api/v1/business/prospects/search/save-to-list \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"industry": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_title_levels": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_title_role": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_title_sub_role": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_size": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_inferred_revenue": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_industry": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_location_country": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_location_region": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_location_continent": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.company.location.continent": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.title.levels": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.title.role": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.title.sub_role": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.company.location.country": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.company.industry": [
{
"value": "<string>",
"label": "<string>"
}
],
"languages.name": [
{
"value": "<string>",
"label": "<string>"
}
],
"location_continent": [
{
"value": "<string>",
"label": "<string>"
}
],
"location_country": [
{
"value": "<string>",
"label": "<string>"
}
],
"location_region": [
{
"value": "<string>",
"label": "<string>"
}
],
"education.degrees": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.company.type": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_name": "<string>",
"job_company_website": "<string>",
"full_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"sex": "<string>",
"work_email": "<string>",
"mobile_phone": "<string>",
"personal_emails": "<string>",
"job_title": "<string>",
"job_company_location_name": "<string>",
"location_name": "<string>",
"linkedin_url": "<string>",
"github_url": "<string>",
"github_username": "<string>",
"facebook_url": "<string>",
"education.school.name": "<string>",
"experience.title.name": "<string>",
"experience.company.name": "<string>",
"experience.company.website": "<string>",
"job_start_date": "<string>",
"skills": "<string>",
"certifications.name": "<string>",
"experience.company.location.name": "<string>",
"keywords": [
"<string>"
],
"rangeInputs": {
"job_company_employee_count": {
"min": 123,
"max": 123
},
"inferred_years_experience": {
"min": 123,
"max": 123
},
"job_company_total_funding_raised": {
"min": 123,
"max": 123
}
}
},
"limit": 250
}
'import requests
url = "https://api.tryfuse.ai/api/v1/business/prospects/search/save-to-list"
payload = {
"filters": {
"industry": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_title_levels": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_title_role": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_title_sub_role": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_size": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_inferred_revenue": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_industry": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_location_country": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_location_region": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_location_continent": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.company.location.continent": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.title.levels": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.title.role": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.title.sub_role": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.company.location.country": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.company.industry": [
{
"value": "<string>",
"label": "<string>"
}
],
"languages.name": [
{
"value": "<string>",
"label": "<string>"
}
],
"location_continent": [
{
"value": "<string>",
"label": "<string>"
}
],
"location_country": [
{
"value": "<string>",
"label": "<string>"
}
],
"location_region": [
{
"value": "<string>",
"label": "<string>"
}
],
"education.degrees": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.company.type": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_name": "<string>",
"job_company_website": "<string>",
"full_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"sex": "<string>",
"work_email": "<string>",
"mobile_phone": "<string>",
"personal_emails": "<string>",
"job_title": "<string>",
"job_company_location_name": "<string>",
"location_name": "<string>",
"linkedin_url": "<string>",
"github_url": "<string>",
"github_username": "<string>",
"facebook_url": "<string>",
"education.school.name": "<string>",
"experience.title.name": "<string>",
"experience.company.name": "<string>",
"experience.company.website": "<string>",
"job_start_date": "<string>",
"skills": "<string>",
"certifications.name": "<string>",
"experience.company.location.name": "<string>",
"keywords": ["<string>"],
"rangeInputs": {
"job_company_employee_count": {
"min": 123,
"max": 123
},
"inferred_years_experience": {
"min": 123,
"max": 123
},
"job_company_total_funding_raised": {
"min": 123,
"max": 123
}
}
},
"limit": 250
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
industry: [{value: '<string>', label: '<string>'}],
job_title_levels: [{value: '<string>', label: '<string>'}],
job_title_role: [{value: '<string>', label: '<string>'}],
job_title_sub_role: [{value: '<string>', label: '<string>'}],
job_company_size: [{value: '<string>', label: '<string>'}],
job_company_inferred_revenue: [{value: '<string>', label: '<string>'}],
job_company_industry: [{value: '<string>', label: '<string>'}],
job_company_location_country: [{value: '<string>', label: '<string>'}],
job_company_location_region: [{value: '<string>', label: '<string>'}],
job_company_location_continent: [{value: '<string>', label: '<string>'}],
'experience.company.location.continent': [{value: '<string>', label: '<string>'}],
'experience.title.levels': [{value: '<string>', label: '<string>'}],
'experience.title.role': [{value: '<string>', label: '<string>'}],
'experience.title.sub_role': [{value: '<string>', label: '<string>'}],
'experience.company.location.country': [{value: '<string>', label: '<string>'}],
'experience.company.industry': [{value: '<string>', label: '<string>'}],
'languages.name': [{value: '<string>', label: '<string>'}],
location_continent: [{value: '<string>', label: '<string>'}],
location_country: [{value: '<string>', label: '<string>'}],
location_region: [{value: '<string>', label: '<string>'}],
'education.degrees': [{value: '<string>', label: '<string>'}],
'experience.company.type': [{value: '<string>', label: '<string>'}],
job_company_name: '<string>',
job_company_website: '<string>',
full_name: '<string>',
first_name: '<string>',
last_name: '<string>',
sex: '<string>',
work_email: '<string>',
mobile_phone: '<string>',
personal_emails: '<string>',
job_title: '<string>',
job_company_location_name: '<string>',
location_name: '<string>',
linkedin_url: '<string>',
github_url: '<string>',
github_username: '<string>',
facebook_url: '<string>',
'education.school.name': '<string>',
'experience.title.name': '<string>',
'experience.company.name': '<string>',
'experience.company.website': '<string>',
job_start_date: '<string>',
skills: '<string>',
'certifications.name': '<string>',
'experience.company.location.name': '<string>',
keywords: ['<string>'],
rangeInputs: {
job_company_employee_count: {min: 123, max: 123},
inferred_years_experience: {min: 123, max: 123},
job_company_total_funding_raised: {min: 123, max: 123}
}
},
limit: 250
})
};
fetch('https://api.tryfuse.ai/api/v1/business/prospects/search/save-to-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"listIds": [
"68a1f20b9c41d20014b3e901"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}Prospect search
Save people-search results into a list
Runs the search server-side from filters and saves up to limit matches into the destination list. Enrichment and saving run asynchronously: 202 means the job started, not that the list is populated.
Billing: this debits search credits for the rows it saves. It does NOT reuse a prior POST /prospects/search — passing the same filters here runs the search again, so previewing first and then saving pays for the search twice. If cost matters, call this endpoint directly.
Saving a hand-picked subset of results is not supported; narrow filters instead.
Requires one of the following token scopes: search.
POST
/
business
/
prospects
/
search
/
save-to-list
Save people-search results into a list
curl --request POST \
--url https://api.tryfuse.ai/api/v1/business/prospects/search/save-to-list \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"industry": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_title_levels": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_title_role": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_title_sub_role": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_size": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_inferred_revenue": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_industry": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_location_country": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_location_region": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_location_continent": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.company.location.continent": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.title.levels": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.title.role": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.title.sub_role": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.company.location.country": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.company.industry": [
{
"value": "<string>",
"label": "<string>"
}
],
"languages.name": [
{
"value": "<string>",
"label": "<string>"
}
],
"location_continent": [
{
"value": "<string>",
"label": "<string>"
}
],
"location_country": [
{
"value": "<string>",
"label": "<string>"
}
],
"location_region": [
{
"value": "<string>",
"label": "<string>"
}
],
"education.degrees": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.company.type": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_name": "<string>",
"job_company_website": "<string>",
"full_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"sex": "<string>",
"work_email": "<string>",
"mobile_phone": "<string>",
"personal_emails": "<string>",
"job_title": "<string>",
"job_company_location_name": "<string>",
"location_name": "<string>",
"linkedin_url": "<string>",
"github_url": "<string>",
"github_username": "<string>",
"facebook_url": "<string>",
"education.school.name": "<string>",
"experience.title.name": "<string>",
"experience.company.name": "<string>",
"experience.company.website": "<string>",
"job_start_date": "<string>",
"skills": "<string>",
"certifications.name": "<string>",
"experience.company.location.name": "<string>",
"keywords": [
"<string>"
],
"rangeInputs": {
"job_company_employee_count": {
"min": 123,
"max": 123
},
"inferred_years_experience": {
"min": 123,
"max": 123
},
"job_company_total_funding_raised": {
"min": 123,
"max": 123
}
}
},
"limit": 250
}
'import requests
url = "https://api.tryfuse.ai/api/v1/business/prospects/search/save-to-list"
payload = {
"filters": {
"industry": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_title_levels": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_title_role": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_title_sub_role": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_size": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_inferred_revenue": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_industry": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_location_country": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_location_region": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_location_continent": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.company.location.continent": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.title.levels": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.title.role": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.title.sub_role": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.company.location.country": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.company.industry": [
{
"value": "<string>",
"label": "<string>"
}
],
"languages.name": [
{
"value": "<string>",
"label": "<string>"
}
],
"location_continent": [
{
"value": "<string>",
"label": "<string>"
}
],
"location_country": [
{
"value": "<string>",
"label": "<string>"
}
],
"location_region": [
{
"value": "<string>",
"label": "<string>"
}
],
"education.degrees": [
{
"value": "<string>",
"label": "<string>"
}
],
"experience.company.type": [
{
"value": "<string>",
"label": "<string>"
}
],
"job_company_name": "<string>",
"job_company_website": "<string>",
"full_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"sex": "<string>",
"work_email": "<string>",
"mobile_phone": "<string>",
"personal_emails": "<string>",
"job_title": "<string>",
"job_company_location_name": "<string>",
"location_name": "<string>",
"linkedin_url": "<string>",
"github_url": "<string>",
"github_username": "<string>",
"facebook_url": "<string>",
"education.school.name": "<string>",
"experience.title.name": "<string>",
"experience.company.name": "<string>",
"experience.company.website": "<string>",
"job_start_date": "<string>",
"skills": "<string>",
"certifications.name": "<string>",
"experience.company.location.name": "<string>",
"keywords": ["<string>"],
"rangeInputs": {
"job_company_employee_count": {
"min": 123,
"max": 123
},
"inferred_years_experience": {
"min": 123,
"max": 123
},
"job_company_total_funding_raised": {
"min": 123,
"max": 123
}
}
},
"limit": 250
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
industry: [{value: '<string>', label: '<string>'}],
job_title_levels: [{value: '<string>', label: '<string>'}],
job_title_role: [{value: '<string>', label: '<string>'}],
job_title_sub_role: [{value: '<string>', label: '<string>'}],
job_company_size: [{value: '<string>', label: '<string>'}],
job_company_inferred_revenue: [{value: '<string>', label: '<string>'}],
job_company_industry: [{value: '<string>', label: '<string>'}],
job_company_location_country: [{value: '<string>', label: '<string>'}],
job_company_location_region: [{value: '<string>', label: '<string>'}],
job_company_location_continent: [{value: '<string>', label: '<string>'}],
'experience.company.location.continent': [{value: '<string>', label: '<string>'}],
'experience.title.levels': [{value: '<string>', label: '<string>'}],
'experience.title.role': [{value: '<string>', label: '<string>'}],
'experience.title.sub_role': [{value: '<string>', label: '<string>'}],
'experience.company.location.country': [{value: '<string>', label: '<string>'}],
'experience.company.industry': [{value: '<string>', label: '<string>'}],
'languages.name': [{value: '<string>', label: '<string>'}],
location_continent: [{value: '<string>', label: '<string>'}],
location_country: [{value: '<string>', label: '<string>'}],
location_region: [{value: '<string>', label: '<string>'}],
'education.degrees': [{value: '<string>', label: '<string>'}],
'experience.company.type': [{value: '<string>', label: '<string>'}],
job_company_name: '<string>',
job_company_website: '<string>',
full_name: '<string>',
first_name: '<string>',
last_name: '<string>',
sex: '<string>',
work_email: '<string>',
mobile_phone: '<string>',
personal_emails: '<string>',
job_title: '<string>',
job_company_location_name: '<string>',
location_name: '<string>',
linkedin_url: '<string>',
github_url: '<string>',
github_username: '<string>',
facebook_url: '<string>',
'education.school.name': '<string>',
'experience.title.name': '<string>',
'experience.company.name': '<string>',
'experience.company.website': '<string>',
job_start_date: '<string>',
skills: '<string>',
'certifications.name': '<string>',
'experience.company.location.name': '<string>',
keywords: ['<string>'],
rangeInputs: {
job_company_employee_count: {min: 123, max: 123},
inferred_years_experience: {min: 123, max: 123},
job_company_total_funding_raised: {min: 123, max: 123}
}
},
limit: 250
})
};
fetch('https://api.tryfuse.ai/api/v1/business/prospects/search/save-to-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"listIds": [
"68a1f20b9c41d20014b3e901"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}Authorizations
Your API token (af_…) as the Basic-auth username, with an empty password.
Body
application/json
Response
Success
The response is of type object.
⌘I